Subject: Re: Porting RapidIO from ppc arch to powerpc arch in support of MPC8641D

From: Segher Boessenkool <[email-masked]>
Date: Tue, 22 May 2007 22:08:17 +0200

> srio@c0000 {

Isn't there a nicer name, like "rapidio"?

>                 device_type = "srio";

No device_type please.

>                 compatible = "86xx,85xx";

compatible = "fsl,8641d-rapidio", "fsl,8540-rapidio";
and the latter only if the 8641d can actually be driven
as-if it were a 8540.

> 		reg = <c0000 20000>;
> 		law = <400000000 e00000000>;

What does "law" mean?  Please use a better name.  And
you write this as <4 0 e 0>.

> 		dbells = <0 ffff>;

"doorbells"

> 		mboxs = <0 4>;

"mailboxes"

> I'm
> assuming we are supposed to do away with all the CONFIG_RAPIDIO,

You still need config options to enable support for
rapidio etc.  The DTB is used at runtime to detect
what devices are actually there.

> btw how to I get the dtc to accept 36-bit numbers as above for laws?

The numbers inside < > are 32-bit integers.  64-bit
numbers are encoded as a pair of these.

> and am I allowed to invent properties like this or is there some keeper
> of the property names who I should genuflect before?

It would be nice to have a proper device binding for
rapidio, just like for PCI etc.  Since there isn't one
yet, try to invent one that would work for _all_ rapidio
hosts, so there won't be too many changes needed if
later a more generic device binding evolves.

Don't worry about it too much, just use common sense,
and you'll end up with an ad-hoc binding for this device
only that will work just fine; do the generic thing
later, when you have at least a chance to get it right ;-)

Segher